## maemo-browser-mozilla-engine 0.2.5

=== debian/changelog ===
maemo-browser-mozilla-engine (0.2.5) unstable; urgency=low

  * Has been updated .pc file 

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Wed, 25 Jan 2006 19:39:09 +0200

maemo-browser-mozilla-engine (0.2.4) unstable; urgency=low

  * Project has been renamed

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Thu, 12 Jan 2006 11:30:46 +0300

osso-browser-mozilla-engine (0.2.3) unstable; urgency=low

  * Initial Release.

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Tue, 22 Nov 2005 23:59:19 +0300
