=== debian/control ===
Source: maemo-browser-mozilla-engine
Priority: optional
Maintainer: Leonid Zolotarev <leonid.zolotarev@nokia.com>
Build-Depends: debhelper (>= 4.0.0), autotools-dev
Standards-Version: 3.6.2
Section: libs

Package: maemo-browser-mozilla-engine-dev
Section: libdevel
Architecture: any
Depends: maemo-browser-mozilla-engine (= ${Source-Version})
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: maemo-browser-mozilla-engine
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
