## maemo-browser-mozilla-engine 0.2.5-1

=== debian/changelog ===
maemo-browser-mozilla-engine (0.2.5-1) unstable; urgency=low

  * Has been updated .pc file 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 25 Jan 2006 19:39:09 +0200
