=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: maemo-browser-mozilla-engine
 Priority: optional
-Maintainer: Leonid Zolotarev <leonid.zolotarev@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), autotools-dev
+Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
+Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.2
 Section: libs
