## maemo-browser-mozilla-engine 0.2.6-1

=== debian/changelog ===
maemo-browser-mozilla-engine (0.2.6-1) unstable; urgency=low

  * Has been fixed bug with jumped virtual keyboard
  * Has been added build dependencies from libidl
  * Has been fixed dpatch headers

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 15 Feb 2006 09:19:38 +0200
